from tensorflow.python.keras.utils.data_utils import get_file
import os 
import numpy as np
from .graph_dataset_utils import *
# from google_drive_downloader import GoogleDriveDownloader as gdd

# credit for https://www.microsoft.com/en-us/download/details.aspx?id=54765

IMG_SIZE = 128

def load_data():
    data_file = '/dual_data/not_backed_up/graph_datasets/gnn_feats/hiv.pt'
    dataset, num_node_features, num_edge_features, num_graph_features = get_dataset(data_file, graph_level_feature=True)
    print(len(dataset))
    print(dataset[0].x.shape)
    print(dataset[0].y.shape)
    exit()
    return train_data, train_label, test_data, test_label


def HIV():
    
    
    train_X, train_Y,  test_X, test_Y = load_data()

    # convert data type
    train_X, train_Y = train_X.astype(float), train_Y.astype(np.int32) 
    test_X, test_Y = test_X.astype(float), test_Y.astype(np.int32) 
    
    return  (train_X, train_Y), (test_X, test_Y) 


